Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 518747 - qemu process remains defunct after guestfs_close
Summary: qemu process remains defunct after guestfs_close
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libguestfs
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-22 09:28 UTC by Richard W.M. Jones
Modified: 2010-03-27 10:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-27 10:48:35 UTC


Attachments (Terms of Use)
test.c (770 bytes, application/octet-stream)
2009-08-22 09:28 UTC, Richard W.M. Jones
no flags Details

Description Richard W.M. Jones 2009-08-22 09:28:04 UTC
Created attachment 358299 [details]
test.c

(Reported by Chunyang Liu)

After calling guestfs_close from the test program attached, the
qemu process remains in the defunct state until the main program
exits.

26100 pts/1    Z+     0:21 [qemu] <defunct>

Apparently we are missing a wait() somewhere.

Reported and verified on EPEL 5.3.

$ gcc -Wall -o test test.c -lguestfs
$ ./test 
Handle closed - now run 'ps ax' to see if qemu process is defunct

[in another window]
$ ps ax | grep qemu
26280 pts/2    Z+     0:20 [qemu] <defunct>

Comment 1 Richard W.M. Jones 2009-08-22 09:30:48 UTC
Also occurs on Fedora Rawhide.

Comment 2 Richard W.M. Jones 2009-08-22 09:44:20 UTC
Posted a patch to potentially fix this:

https://www.redhat.com/archives/libguestfs/2009-August/msg00423.html

Comment 3 Fedora Update System 2009-09-15 11:00:26 UTC
libguestfs-1.0.70-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.70-1.fc11

Comment 4 Fedora Update System 2009-09-15 11:34:42 UTC
libguestfs-1.0.70-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.70-1.el5

Comment 5 Fedora Update System 2009-10-03 19:03:11 UTC
libguestfs-1.0.70-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Richard W.M. Jones 2010-03-27 10:48:35 UTC
Long fixed upstream.


Note You need to log in before you can comment on or make changes to this bug.